Help Center

Local Navigation

Disable Weak Certificate Use IT policy rule

Description

This rule specifies whether to prevent a BlackBerry® device user from sending an email message using a certificate that has a corresponding weak public key.

Default value

The default value is False. A BlackBerry device warns the user that the corresponding public key is weak, but it does not prevent the user from using the certificate.

Usage

Use the IT policy rules that are provided for the TLS application, the WTLS application, the S/MIME Support Package for BlackBerry® smartphones, or the PGP® Support Package for BlackBerry® smartphones.

Configure the minimum strengths for the RSA®, DSA, ECC, and Diffie-Hellman algorithm key lengths.

Minimum requirements

  • Java® based BlackBerry device
  • BlackBerry® Application Suite version 1.0
  • BlackBerry® Device Software version 3.6
  • BlackBerry® Enterprise Server for IBM® Lotus® Domino® and Novell® GroupWise® version 4.0
  • BlackBerry® Enterprise Server for Microsoft® Exchange version 3.6

Exceptions

The BlackBerry Enterprise Server for Novell GroupWise supports this rule in BlackBerry Device Software version 4.0 or later.

Index


Was this information helpful? Send us your comments.